"""General purpose utility functions"""

import time


def wait_for_task(task, expected_result=True, timeout=120):
    """Wait for a task, provided as a callable, to reach the expected value within a timeout"""
    expiry = time.time() + timeout
    while time.time() < expiry:
        if task() == expected_result:
            return
        time.sleep(1)
    if time.time() >= expiry:
        raise TimeoutError
